[Numpy-discussion] Failing to build numpy properly on Ubuntu Hardy

Gael Varoquaux gael.varoquaux@normalesup....
Wed Dec 10 16:32:11 CST 2008


On Wed, Dec 10, 2008 at 11:10:23PM +0100, Gael Varoquaux wrote:
> Numpy builds alright, but I get:

> ImportError: /usr/lib/sse2/atlas/libblas.so.3gf: undefined symbol:
> _gfortran_st_write_done

Doh! I knew it must be a FAQ, and it was :). Better googling gave me the
answer: the configuration was picking up the libraries for the
libatlas3gf-sse2 package, which is built with gfortran. Numpy is built
with g77, and I need to force it to link with the libraries given by the
atlas3-sse2 package (providing libaries built with g77). The best way is
simply to remove the gfortran altas libraries.

This email from David got me on the track:

http://projects.scipy.org/pipermail/numpy-discussion/2008-May/034164.html

I must have at some point installed the gfortran libraries by mistake. I
was taken by surprise because I didn't expect Ubuntu to have 2 versions
of atlas, ABI incompatible.

Sorry for the noise.

Gaël


More information about the Numpy-discussion mailing list